Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.knowgate.sms
Enum SMSMessage.MType

    java.lang.Object
      java.lang.Enum<SMSMessage.MType>
          com.knowgate.sms.SMSMessage.MType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SMSMessage.MType>

Enclosing class:
  SMSMessage

    public static enum SMSMessage.MType

extends java.lang.Enum<SMSMessage.MType>

Enum Constant Summary
`OPERATOR_LOGO`
`PLAIN_TEXT`
`RINGTONE`
`WAP_PUSH`

Method Summary
`static SMSMessage.MType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SMSMessage.MType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PLAIN_TEXT

    public static final SMSMessage.MType PLAIN_TEXT

### WAP_PUSH

    public static final SMSMessage.MType WAP_PUSH

### OPERATOR_LOGO

    public static final SMSMessage.MType OPERATOR_LOGO

### RINGTONE

    public static final SMSMessage.MType RINGTONE

Method Detail

### values

    public static SMSMessage.MType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SMSMessage.MType c : SMSMessage.MType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SMSMessage.MType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD